import logging
logging.basicConfig(level=logging.INFO)
from .base import Base

class Sprint(Base):
	"""
	Class responsable for documentation sprints in Jira
	"""
	ERROR = "OS error: {0}"

	def __init__(self, user, apikey, server):
		Base.__init__(self, user, apikey, server)
		
	def find_by_board(self, board_id):
		"""
		Responsible for finding all project's sprints that user has access

		Arguments:

			board_id {Number} -- board_id of Jira

		Returns:
		
			List -- List of all sprints of the given board

		"""
		try:
			logging.info("Start function: find_by_board")
			return self.jira.sprints(board_id)
			logging.info("End funcion: find_by_board")
		except Exception as e: 
			logging.error(ERROR.format(e))
			logging.error(e.__dict__)

    